cURL
curl --request POST \ --url https://whitebit.com/api/v4/mining/accounts \ --header 'Content-Type: application/json' \ --header 'X-TXC-APIKEY: <api-key>' \ --header 'X-TXC-PAYLOAD: <api-key>' \ --header 'X-TXC-SIGNATURE: <api-key>' \ --data ' { "request": "{{request}}", "nonce": "{{nonce}}", "name": "my_miner_01" } '
{ "data": [ { "name": "my_miner_01", "createdAt": 1709340000 }, { "name": "my_miner_02", "createdAt": 1709350000 } ], "limit": 30, "offset": 0 }
List all mining accounts associated with a WhiteBIT account via the V4 API.
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Request signature
"{{request}}"
Unique request identifier
"{{nonce}}"
Optional filter to search for a specific mining account name (exact match)
255
"my_miner_01"
Successful response
Show child attributes
Was this page helpful?
Suggestions
Contact support